#include <stdlib.h>
#include "upnpd.h"
#include "gateway.h"
#include "sample_util.h"


#define UPNP_VLAID 0x01
#define UPNP_TCP 0x02
#define UPNP_ONESHOT 0x04
#define UPNP_PERSIST 0x08

#define RTL865X_ONLY 1

#ifdef RTL865X_ONLY
#include <re865x.h>
#endif /* RTL865X_ONLY */

#ifdef _UPNP_MM_
#include "upnp_mm.h"
#endif

#define dprintf(...)
/*******************************************************************************
 *  IGDDeviceRequestConnection
 ******************************************************************************/
int IGDDeviceRequestConnection()
{
    char value[DS_MAX_VAL_LEN];
    int ret=0;


//we should turn on our WAN device here.

	 system("rc wan restart");

        sprintf(value, "%s", "Connected");

    ret = IGDDeviceSetServiceTableVar(DS_SERVICE_WANIPConnection, DS_WANIPConn_ConnectionStatus, value);
    return(ret);
}


/*******************************************************************************
 *  IGDDeviceForceTermination
 ******************************************************************************/
int IGDDeviceForceTermination()
{
    char value[DS_MAX_VAL_LEN];
    int ret=0;

// we should shutdown our WAN device here.
	system("rc wan stop");

  sprintf(value, "%s", "Disconnected");
  ret = IGDDeviceSetServiceTableVar(DS_SERVICE_WANIPConnection, DS_WANIPConn_ConnectionStatus, value);
  return(ret);
}
