#
# If you wan to use this file, all obj files must be in "OBJS".
#
DDEPS           :=  $(patsubst %.o,%.d, $(OBJS))    # all ".d" files we should have
MISSING_DDEPS   :=  $(filter-out $(wildcard $(DDEPS)), $(DDEPS))

CFLAGS += -Wall
all:$(TARGET)
	
%.a : $(OBJS)
	$(AR) $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@
#	$(STRIP) $(STRIPFLAGS) $@

%.o: %.c
	echo $@; $(CC) $(CFLAGS) -o $@ -c $<

install:
	echo nothing to install
clean:
	-rm -f *.[aod]
ifneq ($(MISSING_DDEPS),)
$(MISSING_DDEPS):
	rm -f $(patsubst %.d, %.o,$@)
endif

-include $(DDEPS)


